Page MenuHomePhabricator

Increase email log retention period for the main email relays
Closed, ResolvedPublic

Description

exim mail logs on mx1001/mx2001 are being kept for 10 days now (up to mainlog.9.gz). That's probably a little too short. We should increase the retention period to something longer but still within the days of our privacy policy (90 days). Either 60 or 90 days should probably be our choice.

Details

Related Gerrit Patches:

Event Timeline

faidon created this task.Jun 7 2017, 5:40 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2017, 5:40 PM
herron added a comment.Jun 7 2017, 9:26 PM

Change https://gerrit.wikimedia.org/r/#/c/357723 to increase exim log retention to 60 days is ready for review

FWIW if we also want to store mail logs off-host a simple solution would be to syslog exim logs too, syslog hosts already have 90d retention in place.

faidon moved this task from Backlog to In Progress on the Mail board.Jun 13 2017, 8:50 AM

Change 357723 had a related patch set uploaded (by Herron; owner: Herron):
[operations/puppet@production] Add logrotate template to retain 60 days of exim mx logs

https://gerrit.wikimedia.org/r/357723

Change 357723 merged by Herron:
[operations/puppet@production] Add logrotate template to retain 60 days of exim mx logs

https://gerrit.wikimedia.org/r/357723

herron added a comment.Jul 6 2017, 3:10 PM

Merged https://gerrit.wikimedia.org/r/357723 and ran puppet on mx[1,2]001 to extend local log retention to 60 days. Will double check tomorrow that a mainlog.11.gz is present.

Mentioned in SAL (#wikimedia-operations) [2017-07-06T15:12:20Z] <herron> extend mx[1,2]001 exim log retention to 60 days - T167333

herron closed this task as Resolved.Jul 7 2017, 2:05 PM

Confirming that the updated logrotate config works. Files have been rotated to .11.gz.

-rw-r----- 1 Debian-exim adm 22M Jun 27 06:25 /var/log/exim4/mainlog.11.gz
-rw-r----- 1 Debian-exim adm 11M Jun 27 06:25 /var/log/exim4/rejectlog.11.gz
herron moved this task from In Progress to Done on the Mail board.Aug 2 2017, 5:22 PM